Index: README.BLFS
===================================================================
--- README.BLFS	(revision d08afa550a358959af8c4b2cf68643e93749a970)
+++ README.BLFS	(revision 9a8653966c79072e53355f99b9abd7de3a5393ac)
@@ -34,6 +34,6 @@
 3. USAGE::
 
-     Due the complexity of the BLFS book, the scripts and Makefile generation
-  is done in several steps:
+     Due to the complexity of the BLFS book, the scripts and Makefile
+     generation is done in several steps:
 
   3.1  INSTALLED PACKAGES TRACKING SYSTEM::
@@ -55,5 +55,8 @@
        The default location of the tracking directory is /var/lib/jhalfs/BLFS.
     NB : after the initial build, that directory is only used to contain
-    instpkg.xml
+    instpkg.xml, unless custom tools have been built. In the latter case,
+    it also contains empty files whose name are $PKG-$VERSION for each
+    versionned package built. The information about those packages is
+    included into instpkg.xml the next time the tool is run.
 
   3.2  BLFS_TOOL INSTALLATION::
@@ -119,9 +122,10 @@
     you just built xLFS, and you can skip to step 3.4.
 
-       To do that run "make update". It may happen that the subversion
+       To do that, run "make update". It may happen that the subversion
     version of your building host is older than the version you just
     built. This may generate weird errors like "'.' omitted". The easiest
     thing to do in that case, is to completely remove the blfs-xml directory
-    and run "make update".
+    and run "make update". With recent versions of subversion, you can also
+    run "svn upgrade" from inside the blfs-xml directory.
 
        On the next configuration run, packages already installed but listed
@@ -161,5 +165,6 @@
     of B, then the tree dependency restarts from there, that is with the
     layout B->C->... You may then hit the case B->C->A->C, for which you
-    should answer no, unless you want to enter an infinite (human driven) loop.
+    should answer no, unless you want to enter an infinite (human driven)
+    loop;-)
 
        You end up with a book.xml file which contains the linearized book,
@@ -213,5 +218,5 @@
       Normally, bootscript installation should work. On the other hand, the
    book does not give instruction for running them, so you might have to
-   manually insert /etc/init.d/rd.d/<initscript> at some place during the build.
+   manually insert /etc/init.d/rc.d/<initscript> at some place during the build.
 
    4.2  PACKAGE CONFIGURATION::
@@ -220,6 +225,6 @@
    edit the build script to fit the needs of your system. Sometimes, the
    bash startup files are modified (see for example the instructions for
-   llvm). You might have to insert something like "source /etc/bash_profile"
-   at some point during the build.
+   llvm). The shipped 'envars.conf' contains a line 'source /etc/profile',
+   which ensures that the proper environment variables are used.
 
    4.3  GCC, JDK, Sane, and KDE-multimedia, freetype2, MesaLib and others
@@ -250,11 +255,7 @@
    4.5  PATCHES
 
-        By default, all required patches will be downloaded from the NET.
-
-        If you have previously downloaded the patches, you must edit the
-     scripts to use your local patches.
-
-        Also, be sure that all scripts have the commands to download/apply the
-     required patches. Due to book layout issues, some patches may be missing.
+        Please, make sure that all scripts have the commands to download/apply
+     the required patches. Due to book layout issues, some patches may be
+     missing.
 
    4.6  ROOT COMMANDS
@@ -267,5 +268,8 @@
        sudo bash -c '<commands to be executed as root>'
      which fail if the commands to be executed contain themselves a ' or access
-     a bash variable $XXX. So carefully review them.
+     a bash variable $XXX. So carefully review them. When you want to use
+     environment variables, it is sometimes better to replace simple quotes
+     with double quotes, but beware the construct is even more fragile.
+     Carefully check it...
 
         Due to book layout issues, some sudo commands may be missing.
@@ -276,6 +280,2 @@
      any, please report it to <alfs-discuss@linuxfromscratch.org>.
 
-        Presently, there is an error in the book in file
-     x/installing/x7proto.xml. You should change the role='required' to
-     role='optional' in the optional dependencies, if you plan to build
-     X.
